35 ' Remarks program for CASHACC                     6/19/82
36 ' MERGE this program with CASHACC for a complete listing.
37 ' This program is designed for IBM monitor and EPSON/IBM printer.
38 ' Change line 110 of CASHACC to B=7 for Color/Graphics.
40 '********** VARIABLES *******************
42 ' The first character indicates the type;
43 ' S - string: I,C,F,B - integer: A - single precision: D - double precision
50 ' ******* VARIABLE LIST ****************
51 ' DATE:
52 '    SCDATE - Current date
53 '    SDDATE - Data date
54 ' ACCOUNTS:
55 '    AAC1( ) - Account #
56 '    SAC2( ) - Account name
57 '    DAC3( ) - Account, period balance
58 '    DAC4( ) - Account, period balance
59 '    IACN - Current number of accounts
60 '    IALI - Array location of first liability account
61 '    IAIN - Array location of first income account
62 '    IAEX - Array location of first expense account
63 '    CA - Maximum number of accounts allowed
64 '    DTOTMO - Sum of accounting period balance for accounts reported
65 '    DTOTYTD - Sum of current balances for accounts reported
66 '    DBAL - Temporary checking account balance
70 ' TRANSACTIONS:
71 '    SEN1( ) - Transaction code; Checks-#, Deposits-D + opt. #, Cash-C+/C-, Information-I, Adjustments-A+/A-
72 '    SEN2( ) - Transaction date
73 '    SEN3( ) - Transaction description
74 '    DEN4( ) - Transaction amount
75 '    AEN5( ) - Transaction account number
76 '    IENN - Current number of transactions
77 '    CE - Maximum number of transaction allowed
80 ' FLAGS:
81 '    FL,FL1,FL2,FL3,FL4,FT - General flags
82 '    FD - Data flag; 0-not in memory, 1-data in memory
85 ' COUNTERS, POINTERS, INDEXING
86 '    C,CT,CA,CF,CE,CP,CI,CS - General usage
87 '    CLT - Maximum lines of data per page or screen
88 '    CL - Cuirrent # of data lines
89 '    C1,C2 - First, last account to report
90 '    SC1,SC2 - Low, high account to report
91 '    IR - Cursor row;       IH - Header row
92 ' OTHER:
93 '    ST,S, A, D - General string, single precision, or double precision input
94 '    B - Bottom of cursor;    I,IT - General integer storage
95 '    A,AT - Account referencing;   SF,SA - Accounting period name
96 '    SH - Header string;   SC - Column head string
97 '    SP - String to print;   ST - Name of account range selected
300 REM DISPLAY MAIN MENU AND SELECT OPTION
301 ' This is the executive program. The main menu is displayed and then the
302 ' available memory is checked and displayed. One of the options may then
303 ' be selected by typing the number of the option desired.
500 REM INITIALIZE PROGRAM
501 ' This subroutine is used the first time the program is run. Information is
502 ' displayed about the CHECKBOOK and PETTY CASH accounts and then initial
503 ' balances may be entered for these accounts.
1000 REM ADD, EDIT OR PRINT ACCOUNTS SUBROUTINE
1001 ' This option is used to add initial accounts or addition accounts, edit
1002 ' accounts that are in memory, or print a condensed list of accounts that
1003 ' are currently in memory. The subroutines are menu driven and this option
1004 ' may be used at anytime.
1200 REM ADD ACCOUNTS SUBROUTINE
1201 ' This subroutine is used to add accounts. The range of accounts numbers to
1202 ' use is displayed at the bottom of the screen. To create a subaccount, add
1203 ' one decimal place to the main account number. After a number is entered,
1204 ' it is checked against existing numbers. If the number does not exist, the
1205 ' account name is then entered and then an initial balance is entered.
1206 ' Input continues until a "E" or "e" is entered for the account number.
1400 REM EDIT ACCOUNTS SUBROUTINE
1401 ' This subroutine is used to edit current accounts. After the account
1402 ' number is entered, current information is displayed. If it is the account
1403 ' desired, then it is edited by retyping all of the account information. If
1405 ' a new number is entered, the old account is deleted. An account may also be
1406 ' deleted by re-entering the same number and then only hit ENTER when the name
1407 ' is requested.
1600 REM PRINT CHART OF ACCOUNTS SUBROUTINE
1601 ' This subroutine is designed to work with the Epson or IBM printers. First
1602 ' a code is sent to condense the print and then a list is printed that gives
1603 ' the accounts numbers and names. This list can then be used when the program
1604 ' is running as a reference of the accounts in memory.
2000 REM ENTER OR EDIT TRANSACTIONS SUBROUTINE
2001 ' This option is used to enter new transactions or edit transactions that are
2002 ' in memory. These transactions are distinquished by a code and include;
2003 ' checks(enter the #), deposits(enter D and then an optional #), petty cash
2004 ' (enter C+ to add cash income and C- to pay cash expense), account adjustments
2005 ' (enter A+ to add to an account and A- to subtract from an account) and
2006 ' information entries(enter I for code). Transactions from previous accounting
2007 ' periods cannot be edited and adjustment entries should be used to make corrections.
2200 REM ENTER TRANSACTIONS SUBROUTINE
2201 ' This subroutine is used to enter transaction information which includes;
2202 ' code, date, description, amount, and account #. The procedure is to enter
2203 ' all of the transactions and then the entries are listed and may be edited
2204 ' before account balances are adjusted. Note: the petty cash account will be
2205 ' adjusted when checks are entered and charged to that account.
2500 REM EDIT SPECIFIC TRANSACTION SUBROUTINE
2501 ' This subroutine is used to edit specific transactions. The transaction number
2502 ' must be entered, then it is displayed and may then be edited. All account
2503 ' balances will be adjusted as necessary according to any changes made.
3000 REM REPORTS SUBROUTINE
3001 ' This option is used to report to screen or printer all account and transaction
3002 ' information.
3200 REM REPORT ACCOUNTS SUBROUTINE
3201 ' This subroutine reports account information by type or a selection of an
3202 ' account # range. If a range is selected a name may be entered for the range
3203 ' of accounts. The balances of any accounts with subaccounts are summed at
3204 ' this time and totals are printed for the complete range that is listed.
3500 REM REPORT TRANSACTIONS SUBROUTINE
3501 ' This subroutine is used to report transactions by type or all transactions.
4000 REM START NEW ACCOUNTING PERIOD SUBROUTINE
4001 ' This option will erase any transactions entries that are in memory and
4002 ' will set account period balances back to zero. The user is given the chance
4003 ' to first return to the main menu to save data if necessary. To complete the
4004 ' process the user must also type "OK".
5000 REM SAVE DATA SUBROUTINE
5001 ' This option is used to control the data output subroutine. Several copies
5002 ' may be saved and a different version of the accounting period name must be
5003 ' used if copies are put on the same disk.
8000 REM DATA INPUT SUBROUTINE
8001 ' This option is used to input previous data. It may be selected by itself
8002 ' or may be selected by other options if data is needed in memory. Data is
8003 ' saved as account(ACC) files and transaction(ENT) files but only the accounting
8004 ' period name is used to select data to load. Data files are listed on the
8005 ' screen for selection. While data is loading the date of the data is displayed.
8006 ' This date is the last time new accounts or transactions were added or when
8007 ' editing was done.
8200 REM DATA OUTPUT SUBROUTINE
8201 ' This subroutine is used to write data to a disk file. An accounting period
8202 ' name must be entered and then two files are written. A file of the accounts
8203 ' and their balances with the extension ACC and a file of all transactions
8204 ' with the extension ENT. A data date is also recorded with the account file.
8205 ' This date is the current date entered at the beginning of the program runor else the last time changes were made to both files if no changes were done this
8206 ' time.
 beginnin