















            Household Goods Inventory Control Program(HHG)

                          HHG Version 1.06
                             8/30/90

                Copyright (c) M.J. Cloutier 1989,1990




HHG
Command
______________________________________________________

Purpose:  The Household Goods Inventory Management Program
          (HHG) provides a reliable, easy-to-use method to
          create and maintain a detailed inventory of personal
          property.  HHG is menu-driven, provides full mouse
          support and provides on-screen cuing and help functions
          for convenient use by persons with little or no
          computer operating experience.

Format:   [d:][path]HHG [Q] ([I] or [L] or [T])
          (Q switch available in registered version only)

Type:     External

Remarks:  Specify parameters as follows:

          [d:][path] before HHG to specify the drive and path
          that contain the HHG command file.

          [Q] Eliminates the "ticker-tape" noise (registered only)

          [I] -- IBM Proprinter & compatibles
          [L] -- HP LaserJet & compatibles
          [T] -- Toshiba or Qume 
          (default is [E] for Epson & compatibles)

          Once in HHG, select the desired '.HHG' file (MUST end
          in '.HHG') from those displayed in the current directory,
          or select a file from a different drive or directory.
          (registered users:  a properly formatted ASCII text file
           ending in '.HHL' can also be chosen)



*** HHG SYSTEM OVERVIEW ***

    HHG was developed using Borland's Turbo Pascal 5.0 and TechnoJock's
Turbo Toolkit (Ver 5.0).  The Turbo Toolkit was invaluable in the rapid
coding of HHG.  I would highly recommend it to anyone doing serious
program development in Turbo Pascal.

    HHG provides the following functionality:

    *  create and maintain a detailed listing of personal property
       items through an interactive, menu-driven cuing sequence.

    *  accomodate any level of organization through the creation of
       a heirarchy of major categories, sub-categories, and specific
       items.

    *  each category can have up to 255 items or sub-categories.

    *  provide the ability to add, edit or delete any category,
       sub-category or item.

    *  items consist of the following information:
        - item name (required, all other fields optional)
        - current value
        - date acquired
        - acquisition value
        - serial number
        - user comments

    *  enables the user to print the inventory on any IBM/Epson
       compatible printer with or without full item comments.

    *  provides full mouse support

    *  allow printout of inventory as ASCII text file (registered only)


*** HARDWARE REQUIREMENTS ***

    *  a minimum of 512K RAM
    *  DOS version 3.0
    *  Hard disk (desired, but not required)
    *  IBM/Epson compatible printer (for hardcopy only)









HHG User's Manual (Ver 1.06)                                Page 1


*** USING HHG ***

    HHG should be installed on a hard drive, if possible.  HHG has the
ability to operate on files consisting of over 3000 individual items, but
you may find that operation on very large files is too slow on all but the
fastest machines.  For that reason, I recommend that you create several small
inventory files.  As an example, you could create a file for your household
effects, another for your album or stamp collection, and yet another for your
outdoor recreation equipment.  Operation on all files will be much quicker,
and you will still be able to take advantage of the full functionality of the
program.

*** OPERATION ***

    Type 'HHG' at the DOS prompt using appropriate switches [I] [Q] (see above).
You will be presented with a directory of all available '.HHG' files.  You can
select one of these, or you can create a new file by entering a file name
(with path if desired) ending in '.HHG'.  As HHG accesses a file, it creates a
backup with the extension '.BAK' to guard against inadvertent deletion.
(Registered Users - When saving to an ASCII text file the backup has a '!HL'
 extension)

    Items are added to the currently displayed category using <F2>, and
Sub-Categories are added using <F3>.

    HHG keeps a running balance of the value of all items and categories.
This balance is displayed as 'Current Value' in the upper right hand corner
of the screen.

*** FUNCTION KEYS ***

For CATEGORIES:

    <ESC>:  MOVE_UP  - Moves Up one category to the 'Parent' of the currently
                       displayed category
    <F1> :  HELP     - Displays the Help Screen
    <F2> :  ADD_CAT  - Adds a new subcategory, and moves down to this new,
                       empty category
    <F3> :  ADD_ITEM - Adds a new item to the currently displayed category
    <F4> :  MOVE     - Allows rearrangement of the items/categories which
                       make up the currently displayed category
    <F5> :  DEL_CAT  - Allows deletion of the displayed category
                       WARNING! - this will also delete all of the components
                                  which make up the selected category
    <F6> :  NAME     - Allows changing the name of the current category
    <F7> :  PRINT    - Allows printing of the displayed category and all of
                       its component parts (items/categories)
    <F8> :  SAVE     - Save the current '.HHG' file
    <F10>:  END      - Exit the program (prompts for SAVE)


HHG User's Manual (Ver 1.06)                                Page 2

For ITEMS:

    <ESC>:  MOVE_UP  - Moves Up to the 'Parent' of the currently displayed item
    <F1> :  HELP     - Displays the Help Screen
    <F5> :  DEL_ITEM - Allows deletion of the displayed item
    <F10>:  SAVE_CHG - Used to save editing changes made to displayed item,
                       returns to the parent category upon completion

*** PRINTING ***

    HHG allows several different print functions/formats to printer and to
disk (to disk for Register users only):

    *  A category can be printed without 'Item Information'.  This means
       that the print out will only show the current values of all component
       items/categories

    *  A category can be printed with 'Item Information' included.  This
       means that all items will print with Comments, Acquisition Value,
       Serial Number, and Acquisition Date (in addition to Current Value).

    *  A category can be written to an ASCII text file ending in '.HHL'.
       This file will contain all item information and can be read back in
       to HHG.  The primary user of this feature are those with non-standard
       printers and those who want to modify the HHG data outside the program.
       (Registered users)

*** HHL FILES ***

    '.HHL' files are ASCII text files properly formatted for use by HHG.  They
can be created by HHG as mentioned above, or they can be created with an ASCII
text editor and then read in to HHG. (Registed Users Only)

    If the '.HHL' file is created or modified using a text editor, the correct
list order must be maintained.  This means that all items in a category must
appear before subcategories.  The Format for '.HHL' files can most easily be
seen by creating one using 'DUMMY.HHG' from inside the HHG program.







                        







HHG User's Manual (Ver 1.06)                                Page 3

*** DISCLAIMER ***

EVEN THOUGH NO I HAVE TESTED THIS SOFTWARE AND REVIEWED THIS
DOCUMENTATION, I MAKE NO WARRANTY OR REPRESENTATION, EITHER
EXPRESSED OR IMPLIED, WITH RESPECT TO THE SOFTWARE, ITS QUALITY,
PERFORMANCE, OR FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT WILL I, OR ANYONE ELSE WHO HAS BEEN INVOLVED IN
THE CREATION, PRODUCTION, OR DELIVERY OF THIS PROGRAM, BE LIABLE
FOR DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES
RESULTING FROM ANY DEFECT IN THE SOFTWARE OR ITS DOCUMENTATION,
EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.  IN PARTICULAR,
I SHALL HAVE NO LIABILITY FOR ANY PROGRAMS OR DATA STORED OR USED
WITH THIS SOFTWARE, INCLUDING THE COSTS OF RECOVERING SUCH PROGRAMS
OR DATA.

*** REGISTRATION ***

    Thanks for evaluating HHG.  HHG is a Shareware product.  As  such,
it is made available to the general computing public for evaluation.
If you find this program useful, a donation of $10 would be sincerely
appreciated.  I would also like to hear from you concerning possible
improvements to HHG.

                  M.J. CLOUTIER
                  857 Midvale Lane
                  San Jose, CA 95136-1522        

    I can be reached through the CRICKET BBS (Jim Robeson - SysOp) in
Monterey, CA  at (408) 373-3773.

*** HISTORY OF REVISIONS ***
v1.06 
    - restore original screen on exit (PC XT problem)
    - added support for Toshiba and Qume printers
    - minor bug fixes
    - changed address and phone number!

v1.05
    - provided command line selection of IBM Proprinters and HP 
      LaserJet printers
    - allowed 'level jump' up to 10 levels for HHL files
    - tightened up code (140k to 90k)
    - compressed EXE using LZE (90k to 41k)

v1.04
    - fixed various bugs on save/exit, HELP
    - fixed bug that prevented printing very large inventories
    - added support for international character set
    - added switches for music/info (registered users only)
    - added ablility to print file to disk as ASCII text (registered users only)
    - increased flexibility for movement within Category
    - increased Item descriptor field length
    - modified print format for easier readability
    - added more disk I/O error checking



HHG User's Manual (Ver 1.06)                                Page 4


v1.03
    - Increased Comments and Serial Number Field length
    - Added more printer error checking

v1.02
    - Automatic Backup of data files upon program entry.
    - Simplify entry of values (eliminated cents).
    - Fixed unusual date bug.
    - Corrected bug in MOVE procedure.

v1.01
    - Initial program release.

                    HERE'S HOW SHAREWARE WORKS:

You are encouraged to copy the Household Goods Inventory Program diskettes
and share them freely with others.  You have the luxury of trying out the
complete programs at your own pace and in the comfort of your own home 
or workplace.  This is not a crippled or "demo" copy, but the complete 
working version of the program.

After you have used HHG for a reasonable evaluation period, you should
either discontinue use of the program or purchase a licensed copy.  Your
support is important and greatly appreciated.  With it, Shareware authors
are encouraged to design and distribute new products. Without it, a great
deal of high quality, low cost software will cease to be available.

Why pay at all?
--------------------------------------------------------------
   *  You receive a CURRENT copy of the program
   *  Notification of updates and new versions
   *  Inexpensive upgrade offers
   *  Notification of new products
   *  Your input and ideas help shape future products
   *  A sense of pride and ownership in having honestly
      participated in the Shareware revolution
   *  You help to keep software prices down by supporting a
      distribution method which doesn't depend on expensive
      advertising campaigns.

So please dive in and enjoy the fun of legally sharing good software with
your friends and associates. But also be aware of the restrictions, designed
to protect the community of Shareware users and to prevent greedy people from
taking unfair advantage of the trust, hardwork and good will of Shareware
authors.  Exceptions to any of the above listed conditions must be received
in writing from M.J. Cloutier.





HHG User's Manual (Ver 1.06)                                Page 5